mback2k mh_httpbl Extension up to 1.1.7 on TYPO3 mod1/index.php moduleContent sql injection

CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
6.0$0-$5k0.04

A vulnerability classified as critical was found in mback2k mh_httpbl Extension up to 1.1.7 on TYPO3. This vulnerability affects the function moduleContent of the file mod1/index.php. The manipulation with an unknown input leads to a sql injection vulnerability. The CWE definition for the vulnerability is CWE-89. The product constructs all or part of an SQL command using externally-influenced input from an upstream component, but it does not neutralize or incorrectly neutralizes special elements that could modify the intended SQL command when it is sent to a downstream component. As an impact it is known to affect confidentiality, integrity, and availability.

The weakness was released 09/30/2015 as TYPO3-EXT-SA-2015-021. The advisory is available at typo3.org. This vulnerability was named CVE-2015-10106. Technical details are known, but there is no available exploit. This vulnerability is assigned to T1505 by the MITRE ATT&CK project.

By approaching the search of inurl:mod1/index.php it is possible to find vulnerable targets with Google Hacking.

Upgrading to version 1.1.8 eliminates this vulnerability. The upgrade is hosted for download at github.com. Applying the patch 429f50f4e4795b20dae06735b41fb94f010722bf is able to eliminate this problem. The bugfix is ready for download at github.com. The best possible mitigation is suggested to be upgrading to the latest version. A possible mitigation has been published 3 months after the disclosure of the vulnerability. The advisory contains the following remark:

Handle all user-input which is passed as WHERE or ORDER statement to exec_SELECTquery using fullQuoteStr or explicit value checks.

Entry connected to this vulnerability is available at VDB-230391.

Productinfo

Vendor

Name

Version

License

Support

CPE 2.3info

CPE 2.2info

CVSSv4info

VulDB CVSS-B Score: 🔍
VulDB CVSS-BT Score: 🔍
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv3info

VulDB Meta Base Score: 6.3
VulDB Meta Temp Score: 6.0

VulDB Base Score: 6.3
VulDB Temp Score: 6.0
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv2info

AVACAuCIA
💳💳💳💳💳💳
💳💳💳💳💳💳
💳💳💳💳💳💳
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

Exploitinginfo

Class: Sql injection
CWE: CWE-89 / CWE-74 / CWE-707
CAPEC: 🔍
ATT&CK: 🔍

Local: No
Remote: Yes

Availability: 🔍
Status: Not defined
Google Hack: 🔍

EPSS Score: 🔍
EPSS Percentile: 🔍

Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Threat Intelligenceinfo

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍

Countermeasuresinfo

Recommended: Upgrade
Status: 🔍

Reaction Time: 🔍
0-Day Time: 🔍
Exposure Time: 🔍

Upgrade: mh_httpbl Extension 1.1.8
Patch: 429f50f4e4795b20dae06735b41fb94f010722bf

Timelineinfo

09/30/2015 🔍
12/15/2015 +76 days 🔍
05/27/2023 +2719 days 🔍
05/27/2023 +0 days 🔍
06/21/2023 +25 days 🔍

Sourcesinfo

Advisory: TYPO3-EXT-SA-2015-021
Status: Confirmed

CVE: CVE-2015-10106 (🔍)
See also: 🔍

Entryinfo

Created: 05/27/2023 10:02 AM
Updated: 06/21/2023 01:30 PM
Changes: 05/27/2023 10:02 AM (47), 05/31/2023 06:55 PM (1), 06/21/2023 01:24 PM (2), 06/21/2023 01:30 PM (1)
Complete: 🔍
Cache ID: 100:9EC:40

Discussion

No comments yet. Languages: en.

Please log in to comment.

Are you interested in using VulDB?

Download the whitepaper to learn more about our service!